Create Channel Account User

Prev Next
Post
/v1/channel-accounts/users

Create a new user for a specific Channel Account.

Note: For Channel Account users making this request, channelAccountId is optional and defaults to their own account.

Security
HTTP
Type basic

HTTP Basic Authentication using your WACM username and API key.

For detailed authentication instructions, see the Authentication Guide.

Body parameters
minimal

Required fields only

{
  "firstName": "John",
  "lastName": "Doe",
  "email": "john.doe@example.com",
  "userRole": "Channel Account Admin"
}
full

All fields

{
  "channelAccountId": "12345",
  "firstName": "John",
  "lastName": "Doe",
  "email": "john.doe@example.com",
  "userRole": "Channel Account Admin"
}
object
channelAccountId
integer

Required for non-Channel Account users. Optional for Channel Account users.

firstName
string Required
lastName
string Required
email
string (email) Required
userRole
string Required

Role to assign (e.g., 'Channel Account Admin')

Responses
200

Successfully created the user

{
  "success": "True",
  "code": "RES-I-0016",
  "message": "User has been successfully created!",
  "data": {
    "id": "67890",
    "channelAccountId": "12345",
    "firstName": "John",
    "lastName": "Doe",
    "email": "john.doe@example.com",
    "userRole": "Channel Account Admin",
    "status": "ACTIVE",
    "verified": "False",
    "mfa": "False",
    "creationDate": "2023-12-19T09:35:47.598Z",
    "isSsoUser": "False"
  }
}
Expand All
object
success
boolean
code
string
message
string
data
object (ChannelAccountUserResponse)
id
integer
channelAccountId
integer
firstName
string
lastName
string
email
string
userRole
string
status
string
verified
boolean
mfa
boolean
imageUrl
string | null
creationDate
string (date-time)
address1
string
address2
string
country
string
city
string
state
string
zip
string
phone
string
isSsoUser
boolean